Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class NotationConnectionReorientEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gmf.runtime.diagram.ui.editpolicies.NotationConnectionReorientEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public abstract class NotationConnectionReorientEditPolicy
extends AbstractEditPolicy

By default, reorienting of connections that do not have any semantic meaning (e.g. note attachments) will be supported between any two nodes by a `GraphicalNodeEditPolicy`. The intention of this editpolicy is to provide a place where this can be disabled. To disable reorienting of a connection between two nodes, return an unexecutable command. For an example implementation, see `NoteAttachmentReorientEditPolicy`.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`NotationConnectionReorientEditPolicy()`

Method Summary
`Command` `getCommand(Request request)`
`protected Command` `getReorientConnectionSourceCommand(ReconnectRequest request)` Subclasses may override to return an unexecutable command if reorienting the connection to the new source should be disabled.
`protected Command` `getReorientConnectionTargetCommand(ReconnectRequest request)` Subclasses may override to return an unexecutable command if reorienting the connection to the new target should be disabled.
`boolean` `understandsRequest(Request request)`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotationConnectionReorientEditPolicy

    public NotationConnectionReorientEditPolicy()

Method Detail

### getCommand

    public Command getCommand(Request request)

### getReorientConnectionSourceCommand

    protected Command getReorientConnectionSourceCommand(ReconnectRequest request)

  Subclasses may override to return an unexecutable command if reorienting the connection to the new source should be disabled. Otherwise, this command should return null so as not to interfere.

  Parameters:
    `request` - the request to change the source of a connection
  Returns:
    an unexecutable command if this gesture should be disabled; null otherwise

### getReorientConnectionTargetCommand

    protected Command getReorientConnectionTargetCommand(ReconnectRequest request)

  Subclasses may override to return an unexecutable command if reorienting the connection to the new target should be disabled. Otherwise, this command should return null so as not to interfere.

  Parameters:
    `request` - the request to change the target of a connection
  Returns:
    an unexecutable command if this gesture should be disabled; null otherwise

### understandsRequest

    public boolean understandsRequest(Request request)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.